MONGOC_GRIDFS_BUCKET_STREAM_ERROR(3)

NAME
mongoc_gridfs_bucket_stream_error - mongoc_gridfs_bucket_stream_error()

SYNOPSIS

        bool
        mongoc_gridfs_bucket_stream_error (mongoc_stream_t *stream,
                                           bson_error_t *error);

PARAMETERS

    •   stream: A mongoc_stream_t created by mongoc_gridfs_bucket_open_upload_stream, mongoc_gridfs_bucket_open_upload_stream_with_id, or mongoc_gridfs_bucket_open_download_stream.

    •   error: A bson_error_t to receive the possible error.

DESCRIPTION

Retrieves an error for a GridFS stream if one exists.

RETURNS

True if an error occurred on the stream and sets error. False otherwise.

SEE ALSO:
        mongoc_gridfs_bucket_open_upload_stream

        mongoc_gridfs_bucket_open_upload_stream_with_id()

        mongoc_gridfs_bucket_open_download_stream

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc